Subject: [homenet] Border Router Discovery Protocol

From: RJ Atkinson <[email-masked]>
Date: Wed, 26 Sep 2012 10:35:31 -0400

On Tuesday, 25 September 2012, Teco Boot wrote:
> It might be the right moment to come up with my earlier work 
> on border router discovery. I have to update to incorporate 
> the homenet-arch, and remove details for MANET/Autoconf. 
> 
> Intro & highlights:
>   http://tools.ietf.org/id/draft-boot-brdp-framework-00.txt
> 
> If there is interest, I'll resubmit for Homenet. 
> 
> Teco

Yes, please.  

Please don't remove the details for MANET/AutoConf,
but perhaps put those details into their own section(s). 

The operational reality is that the IETF needs more tools
for automatic configuration, zero or minimal configuration,
site resilience in the face of upstream link changes,
and also site renumbering.

A well designed tool for border router discovery ought
to work well in MANET environments, AutoConf environments,
ZeroConf environments, HomeNet environments, and probably
also for renumbering events.  I think BRDP is very close
to what is needed.  I would not want to lose generality
of solution merely because it is being discussed in one
particular IETF WG at the moment.

Cheers,

Ran

PS:  I'd also be quite happy to see BRDP go out as an
    Experimental status RFC initially, whether through
    the IETF track, IRTF Routing RG, or the ISE-track.
    BRDP seems very useful and useful protocols tend
    to self-deploy into environments where they are useful.